Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class _TransactionServiceStub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.jboss.tm.iiop._TransactionServiceStub

All Implemented Interfaces:
  org.omg.CosTransactions.Control, org.omg.CosTransactions.ControlOperations, org.omg.CosTransactions.Coordinator, CoordinatorExt, CoordinatorExtOperations, org.omg.CosTransactions.CoordinatorOperations, IDLEntity, Object, Serializable, org.omg.CosTransactions.Terminator, org.omg.CosTransactions.TerminatorOperations, org.omg.CosTransactions.TransactionFactory, TransactionFactoryExt, TransactionFactoryExtOperations, org.omg.CosTransactions.TransactionFactoryOperations, TransactionService, TransactionServiceOperations

public class _TransactionServiceStub
extends ObjectImpl
implements TransactionService

Generated from IDL interface "TransactionService"

Author:
  JacORB IDL compiler V 2.2 (JBoss patch 2), 08-Jun-2004
See Also:
  Serialized Form

Field Summary
`static Class` | `_opsClass`

Constructor Summary
`_TransactionServiceStub()`

Method Summary
`String[]` | `_ids()`
`void` | `commit(boolean report_heuristics)`
`org.omg.CosTransactions.Control` | `create_subtransaction()`
`TransactionDesc` | `create_transaction(int time_out)`
`org.omg.CosTransactions.Control` | `create(int time_out)`
`org.omg.CosTransactions.Coordinator` | `get_coordinator()`
`org.omg.CosTransactions.Status` | `get_parent_status()`
`org.omg.CosTransactions.Status` | `get_status()`
`org.omg.CosTransactions.Terminator` | `get_terminator()`
`org.omg.CosTransactions.Status` | `get_top_level_status()`
`TransactionId` | `get_transaction_id()`
`String` | `get_transaction_name()`
`org.omg.CosTransactions.PropagationContext` | `get_txcontext()`
`int` | `hash_top_level_tran()`
`int` | `hash_transaction()`
`boolean` | `is_ancestor_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_descendant_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_related_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_same_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_top_level_transaction()`
`org.omg.CosTransactions.Control` | `recreate(org.omg.CosTransactions.PropagationContext ctx)`
`org.omg.CosTransactions.RecoveryCoordinator` | `register_resource(org.omg.CosTransactions.Resource r)`
`void` | `register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)`
`void` | `register_synchronization(org.omg.CosTransactions.Synchronization sync)`
`void` | `rollback_only()`
`void` | `rollback()`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### _opsClass

    public static final Class _opsClass

Constructor Detail

### _TransactionServiceStub

    public _TransactionServiceStub()

Method Detail

### _ids

    public String[] _ids()

### get_top_level_status

    public org.omg.CosTransactions.Status get_top_level_status()

  Specified by:
    `get_top_level_status` in interface `org.omg.CosTransactions.CoordinatorOperations`

### register_resource

    public org.omg.CosTransactions.RecoveryCoordinator register_resource(org.omg.CosTransactions.Resource r)
                                                                  throws org.omg.CosTransactions.Inactive

  Specified by:
    `register_resource` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.Inactive`

### create_subtransaction

    public org.omg.CosTransactions.Control create_subtransaction()
                                                          throws org.omg.CosTransactions.SubtransactionsUnavailable,
                                                                 org.omg.CosTransactions.Inactive

  Specified by:
    `create_subtransaction` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.SubtransactionsUnavailable`
    `org.omg.CosTransactions.Inactive`

### commit

    public void commit(boolean report_heuristics)
                throws org.omg.CosTransactions.HeuristicHazard,
                       org.omg.CosTransactions.HeuristicMixed

  Specified by:
    `commit` in interface `org.omg.CosTransactions.TerminatorOperations`
  Throws:
    `org.omg.CosTransactions.HeuristicHazard`
    `org.omg.CosTransactions.HeuristicMixed`

### is_related_transaction

    public boolean is_related_transaction(org.omg.CosTransactions.Coordinator tc)

  Specified by:
    `is_related_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### rollback_only

    public void rollback_only()
                       throws org.omg.CosTransactions.Inactive

  Specified by:
    `rollback_only` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.Inactive`

### is_ancestor_transaction

    public boolean is_ancestor_transaction(org.omg.CosTransactions.Coordinator tc)

  Specified by:
    `is_ancestor_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### is_same_transaction

    public boolean is_same_transaction(org.omg.CosTransactions.Coordinator tc)

  Specified by:
    `is_same_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### get_terminator

    public org.omg.CosTransactions.Terminator get_terminator()
                                                      throws org.omg.CosTransactions.Unavailable

  Specified by:
    `get_terminator` in interface `org.omg.CosTransactions.ControlOperations`
  Throws:
    `org.omg.CosTransactions.Unavailable`

### hash_transaction

    public int hash_transaction()

  Specified by:
    `hash_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### get_status

    public org.omg.CosTransactions.Status get_status()

  Specified by:
    `get_status` in interface `org.omg.CosTransactions.CoordinatorOperations`

### hash_top_level_tran

    public int hash_top_level_tran()

  Specified by:
    `hash_top_level_tran` in interface `org.omg.CosTransactions.CoordinatorOperations`

### get_coordinator

    public org.omg.CosTransactions.Coordinator get_coordinator()
                                                        throws org.omg.CosTransactions.Unavailable

  Specified by:
    `get_coordinator` in interface `org.omg.CosTransactions.ControlOperations`
  Throws:
    `org.omg.CosTransactions.Unavailable`

### register_synchronization

    public void register_synchronization(org.omg.CosTransactions.Synchronization sync)
                                  throws org.omg.CosTransactions.SynchronizationUnavailable,
                                         org.omg.CosTransactions.Inactive

  Specified by:
    `register_synchronization` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.SynchronizationUnavailable`
    `org.omg.CosTransactions.Inactive`

### is_top_level_transaction

    public boolean is_top_level_transaction()

  Specified by:
    `is_top_level_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### get_parent_status

    public org.omg.CosTransactions.Status get_parent_status()

  Specified by:
    `get_parent_status` in interface `org.omg.CosTransactions.CoordinatorOperations`

### create_transaction

    public TransactionDesc create_transaction(int time_out)

  Specified by:
    `create_transaction` in interface `TransactionFactoryExtOperations`

### get_txcontext

    public org.omg.CosTransactions.PropagationContext get_txcontext()
                                                             throws org.omg.CosTransactions.Unavailable

  Specified by:
    `get_txcontext` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.Unavailable`

### get_transaction_name

    public String get_transaction_name()

  Specified by:
    `get_transaction_name` in interface `org.omg.CosTransactions.CoordinatorOperations`

### get_transaction_id

    public TransactionId get_transaction_id()

  Specified by:
    `get_transaction_id` in interface `CoordinatorExtOperations`

### recreate

    public org.omg.CosTransactions.Control recreate(org.omg.CosTransactions.PropagationContext ctx)

  Specified by:
    `recreate` in interface `org.omg.CosTransactions.TransactionFactoryOperations`

### create

    public org.omg.CosTransactions.Control create(int time_out)

  Specified by:
    `create` in interface `org.omg.CosTransactions.TransactionFactoryOperations`

### register_subtran_aware

    public void register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)
                                throws org.omg.CosTransactions.NotSubtransaction,
                                       org.omg.CosTransactions.Inactive

  Specified by:
    `register_subtran_aware` in interface `org.omg.CosTransactions.CoordinatorOperations`
  Throws:
    `org.omg.CosTransactions.NotSubtransaction`
    `org.omg.CosTransactions.Inactive`

### is_descendant_transaction

    public boolean is_descendant_transaction(org.omg.CosTransactions.Coordinator tc)

  Specified by:
    `is_descendant_transaction` in interface `org.omg.CosTransactions.CoordinatorOperations`

### rollback

    public void rollback()

  Specified by:
    `rollback` in interface `org.omg.CosTransactions.TerminatorOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.